Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.plastic.theme
Class Silver

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.plaf.plastic.PlasticTheme
                  com.jgoodies.plaf.plastic.theme.SkyBluer
                      com.jgoodies.plaf.plastic.theme.SkyBluerTahoma
                          com.jgoodies.plaf.plastic.theme.DesertBluer
                              com.jgoodies.plaf.plastic.theme.ExperienceBlue
                                  com.jgoodies.plaf.plastic.theme.Silver

public class Silver
extends ExperienceBlue

A completely gray or silver theme that has been optimized to work in Windows XP environments.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.plaf.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, controlFont, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, smallFont, systemFont, titleFont, userFont, WHITE`

Constructor Summary
`Silver()`

Method Summary
`void` | `addCustomEntriesToTable(UIDefaults table)`
`ColorUIResource` | `getFocusColor()`
`String` | `getName()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`
`protected ColorUIResource` | `getSecondary1()`
`protected ColorUIResource` | `getSecondary2()`
`protected ColorUIResource` | `getSecondary3()`
`ColorUIResource` | `getTitleTextColor()`

Methods inherited from class com.jgoodies.plaf.plastic.theme.ExperienceBlue
`getMenuItemBackground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControlShadow, getToggleButtonCheckColor`

Methods inherited from class com.jgoodies.plaf.plastic.theme.DesertBluer
`getHighlightedTextColor, getMenuItemSelectedBackground, getTextHighlightColor`

Methods inherited from class com.jgoodies.plaf.plastic.theme.SkyBluerTahoma
`getFont0, getFont0, getSubTextFont, getSystemTextFont, getUserTextFont`

Methods inherited from class com.jgoodies.plaf.plastic.theme.SkyBluer
`getMenuItemSelectedForeground`

Methods inherited from class com.jgoodies.plaf.plastic.PlasticTheme
`getBlack, getControlTextFont, getFont, getMenuForeground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSystemTextColor, getTitleTextFont, getWhite, getWindowTitleFont`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Silver

    public Silver()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `ExperienceBlue`

### getPrimary1

    protected ColorUIResource getPrimary1()

  Overrides:
    `getPrimary1` in class `ExperienceBlue`

### getPrimary2

    protected ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `ExperienceBlue`

### getPrimary3

    protected ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `ExperienceBlue`

### getSecondary1

    protected ColorUIResource getSecondary1()

  Overrides:
    `getSecondary1` in class `ExperienceBlue`

### getSecondary2

    protected ColorUIResource getSecondary2()

  Overrides:
    `getSecondary2` in class `ExperienceBlue`

### getSecondary3

    protected ColorUIResource getSecondary3()

  Overrides:
    `getSecondary3` in class `ExperienceBlue`

### getFocusColor

    public ColorUIResource getFocusColor()

  Overrides:
    `getFocusColor` in class `ExperienceBlue`

### getTitleTextColor

    public ColorUIResource getTitleTextColor()

  Overrides:
    `getTitleTextColor` in class `PlasticTheme`

### addCustomEntriesToTable

    public void addCustomEntriesToTable(UIDefaults table)

  Overrides:
    `addCustomEntriesToTable` in class `ExperienceBlue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.